Get updates
* indicates required